set more off
# delimit ;
cd "F:\Gerring2010\Rule";

local outregfile0="nation_state";
local outregfile1="federalism_gt";
local outregfile2="federalism_abp";
local outregfile3="autonomous_regions_dpi";
local outregfile4="decentralized_revenue_fg";



ologit Federalism_GT Statehistn00 Land_Area_WDI_07 Pop_Total_WDI_07_imp_ln Pop_Density_WDI_07 Urban_Pop_WDI_07 Linguistic_fractionaliz_Alesina 
GDPpc_ln_07 Polity4_imp LatinAm WestEurope MiddleEast  Africa Year, robust;
outreg2 using `outregfile0', se addstat(Pseudo R-squared, `e(r2_p)')  bdec(4) ctitle(Federalism (GT)) bracket  excel replace;

ologit Federalism_ABP Statehistn00 Land_Area_WDI_07 Pop_Total_WDI_07_imp_ln Pop_Density_WDI_07 Urban_Pop_WDI_07 Linguistic_fractionaliz_Alesina 
GDPpc_ln_07 Polity4_imp LatinAm WestEurope MiddleEast  Africa Year, robust;
outreg2 using `outregfile0', se addstat(Pseudo R-squared, `e(r2_p)')  bdec(4) ctitle(Federalism (ABP)) bracket  excel append;

ologit Autonomous_Regions_DPI Statehistn00 Land_Area_WDI_07 Pop_Total_WDI_07_imp_ln Pop_Density_WDI_07 Urban_Pop_WDI_07 Linguistic_fractionaliz_Alesina 
GDPpc_ln_07 Polity4_imp LatinAm WestEurope MiddleEast  Africa Year, robust;
outreg2 using `outregfile0', se addstat(Pseudo R-squared, `e(r2_p)')  bdec(4) ctitle(Autonomous Region (DPI)) bracket  excel append;

reg Decentraliz_rev_Fisman Statehistn00 Land_Area_WDI_07 Pop_Total_WDI_07_imp_ln Pop_Density_WDI_07 Urban_Pop_WDI_07 Linguistic_fractionaliz_Alesina 
GDPpc_ln_07 Polity4_imp LatinAm WestEurope MiddleEast  Africa Year, robust;
outreg2 using `outregfile0', se bdec(4) ctitle(Dec.Revenue (FG)) bracket  excel append;



ologit Federalism_GT Statehistn00 Land_Area_WDI_07 Pop_Total_WDI_07_imp_ln Pop_Density_WDI_07 Urban_Pop_WDI_07 Linguistic_fractionaliz_Alesina 
GDPpc_ln_07 Polity4_imp LatinAm WestEurope MiddleEast  Africa Year, robust;
outreg2 using `outregfile1', se addstat(Pseudo R-squared, `e(r2_p)')  bdec(4) ctitle(Federalism (GT)) bracket  excel replace;

ologit Federalism_GT Statehistn00 Land_Area_WDI_07, robust;
outreg2 using `outregfile1', se addstat(Pseudo R-squared, `e(r2_p)')  bdec(4) ctitle(Federalism (GT)) bracket  excel append;

ologit Federalism_GT Statehistn00 Land_Area_WDI_07 Pop_Total_WDI_07_imp_ln Pop_Density_WDI_07 Urban_Pop_WDI_07 Linguistic_fractionaliz_Alesina 
GDPpc_ln_07 Polity4_imp LatinAm WestEurope MiddleEast Africa Year UK_colony French_colony Portuguese_colony Island, robust;
outreg2 Statehistn00 Land_Area_WDI_07 Pop_Total_WDI_07_imp_ln Pop_Density_WDI_07 Urban_Pop_WDI_07 Linguistic_fractionaliz_Alesina GDPpc_ln_07 
Polity4_imp LatinAm WestEurope MiddleEast  Africa Year UK_colony French_colony Portuguese_colony Island using `outregfile1', se addstat(Pseudo 
R-squared, `e(r2_p)')  bdec(4) ctitle(Federalism (GT)) bracket  excel append;

ologit Federalism_GT Statehistn01 Land_Area_WDI_07 Pop_Total_WDI_07_imp_ln Pop_Density_WDI_07 Urban_Pop_WDI_07 Linguistic_fractionaliz_Alesina 
GDPpc_ln_07 Polity4_imp LatinAm WestEurope MiddleEast  Africa Year UK_colony French_colony Portuguese_colony Island, robust;
outreg2 using `outregfile1', se addstat(Pseudo R-squared, `e(r2_p)')  bdec(4) ctitle(Federalism (GT)) bracket  excel append;

reoprob Federalism_GT Statehistn00 Land_Area_WDI_07 Pop_Total_WDI_07_imp_ln Pop_Density_WDI_07 Urban_Pop_WDI_07 Linguistic_fractionaliz_Alesina 
GDPpc_ln_07 Polity4_imp LatinAm WestEurope MiddleEast  Africa Year, i (Banks);
outreg2 using `outregfile1', se addstat()  bdec(4) ctitle(Federalism (GT)) bracket  excel append;



logit Federalism_ABP Statehistn00 Land_Area_WDI_07 Pop_Total_WDI_07_imp_ln Pop_Density_WDI_07 Urban_Pop_WDI_07 Linguistic_fractionaliz_Alesina 
GDPpc_ln_07 Polity4_imp LatinAm WestEurope MiddleEast  Africa Year, robust;
outreg2 using `outregfile2', se addstat(Pseudo R-squared, `e(r2_p)')  bdec(4) ctitle(Federalism (ABP)) bracket  excel replace;

logit Federalism_ABP Statehistn00 Land_Area_WDI_07, robust;
outreg2 using `outregfile2', se addstat(Pseudo R-squared, `e(r2_p)')  bdec(4) ctitle(Federalism (ABP)) bracket  excel append;

logit Federalism_ABP Statehistn00 Land_Area_WDI_07 Pop_Total_WDI_07_imp_ln Pop_Density_WDI_07 Urban_Pop_WDI_07 Linguistic_fractionaliz_Alesina 
GDPpc_ln_07 Polity4_imp LatinAm WestEurope MiddleEast Africa Year UK_colony French_colony Portuguese_colony Island, robust;
outreg2 Statehistn00 Land_Area_WDI_07 Pop_Total_WDI_07_imp_ln Pop_Density_WDI_07 Urban_Pop_WDI_07 Linguistic_fractionaliz_Alesina GDPpc_ln_07 
Polity4_imp LatinAm WestEurope MiddleEast  Africa Year UK_colony French_colony Portuguese_colony Island using `outregfile2', se addstat(Pseudo 
R-squared, `e(r2_p)')  bdec(4) ctitle(Federalism (ABP)) bracket  excel append;

logit Federalism_ABP Statehistn01 Land_Area_WDI_07 Pop_Total_WDI_07_imp_ln Pop_Density_WDI_07 Urban_Pop_WDI_07 Linguistic_fractionaliz_Alesina 
GDPpc_ln_07 Polity4_imp LatinAm WestEurope MiddleEast  Africa Year UK_colony French_colony Portuguese_colony Island, robust;
outreg2 using `outregfile2', se addstat(Pseudo R-squared, `e(r2_p)')  bdec(4) ctitle(Federalism (ABP)) bracket  excel append;




ologit Autonomous_Regions_DPI Statehistn00 Land_Area_WDI_07 Pop_Total_WDI_07_imp_ln Pop_Density_WDI_07 Urban_Pop_WDI_07 Linguistic_fractionaliz_Alesina 
GDPpc_ln_07 Polity4_imp LatinAm WestEurope MiddleEast  Africa Year, robust;
outreg2 using `outregfile3', se addstat(Pseudo R-squared, `e(r2_p)')  bdec(4) ctitle(Aut. Regions (DPI)) bracket  excel replace;

ologit Autonomous_Regions_DPI Statehistn00 Land_Area_WDI_07, robust;
outreg2 using `outregfile3', se addstat(Pseudo R-squared, `e(r2_p)')  bdec(4) ctitle(Aut. Regions (DPI)) bracket  excel append;

ologit Autonomous_Regions_DPI Statehistn00 Land_Area_WDI_07 Pop_Total_WDI_07_imp_ln Pop_Density_WDI_07 Urban_Pop_WDI_07 Linguistic_fractionaliz_Alesina 
GDPpc_ln_07 Polity4_imp LatinAm WestEurope MiddleEast Africa Year UK_colony French_colony Portuguese_colony Island, robust;
outreg2 Statehistn00 Land_Area_WDI_07 Pop_Total_WDI_07_imp_ln Pop_Density_WDI_07 Urban_Pop_WDI_07 Linguistic_fractionaliz_Alesina GDPpc_ln_07 
Polity4_imp LatinAm WestEurope MiddleEast  Africa Year UK_colony French_colony Portuguese_colony Island using `outregfile3', se addstat(Pseudo 
R-squared, `e(r2_p)')  bdec(4) ctitle(Aut. Regions (DPI)) bracket  excel append;

ologit Autonomous_Regions_DPI Statehistn01 Land_Area_WDI_07 Pop_Total_WDI_07_imp_ln Pop_Density_WDI_07 Urban_Pop_WDI_07 Linguistic_fractionaliz_Alesina 
GDPpc_ln_07 Polity4_imp LatinAm WestEurope MiddleEast  Africa Year UK_colony French_colony Portuguese_colony Island, robust;
outreg2 using `outregfile3', se addstat(Pseudo R-squared, `e(r2_p)')  bdec(4) ctitle(Aut. Regions (DPI)) bracket  excel append;

reoprob Autonomous_Regions_DPI Statehistn00 Land_Area_WDI_07 Pop_Total_WDI_07_imp_ln Pop_Density_WDI_07 Urban_Pop_WDI_07 
Linguistic_fractionaliz_Alesina GDPpc_ln_07 Polity4_imp LatinAm WestEurope MiddleEast  Africa Year, i (Banks);
outreg2 using `outregfile3', se addstat(Pseudo R-squared, `e(r2_p)')  bdec(4) ctitle(Aut. Regions (DPI)) bracket  excel append;




reg Decentraliz_rev_Fisman Statehistn00 Land_Area_WDI_07 Pop_Total_WDI_07_imp_ln Pop_Density_WDI_07 Urban_Pop_WDI_07 Linguistic_fractionaliz_Alesina 
GDPpc_ln_07 Polity4_imp LatinAm WestEurope MiddleEast  Africa Year, robust;
outreg2 using `outregfile4', se bdec(4) ctitle(Decentralized Revenue (FG)) bracket  excel replace;

reg Decentraliz_rev_Fisman Statehistn00 Land_Area_WDI_07, robust;
outreg2 using `outregfile4', se bdec(4) ctitle(Decentralized Revenue (FG)) bracket  excel append;

reg Decentraliz_rev_Fisman Statehistn00 Land_Area_WDI_07 Pop_Total_WDI_07_imp_ln Pop_Density_WDI_07 Urban_Pop_WDI_07 Linguistic_fractionaliz_Alesina 
GDPpc_ln_07 Polity4_imp LatinAm WestEurope MiddleEast Africa Year UK_colony French_colony Portuguese_colony Island, robust;
outreg2 Statehistn00 Land_Area_WDI_07 Pop_Total_WDI_07_imp_ln Pop_Density_WDI_07 Urban_Pop_WDI_07 Linguistic_fractionaliz_Alesina GDPpc_ln_07 
Polity4_imp LatinAm WestEurope MiddleEast  Africa Year UK_colony French_colony Portuguese_colony Island using `outregfile4', se bdec(4) 
ctitle(Decentralized Revenue (FG)) bracket  excel append;

reg Decentraliz_rev_Fisman Statehistn01 Land_Area_WDI_07 Pop_Total_WDI_07_imp_ln Pop_Density_WDI_07 Urban_Pop_WDI_07 Linguistic_fractionaliz_Alesina 
GDPpc_ln_07 Polity4_imp LatinAm WestEurope MiddleEast  Africa Year UK_colony French_colony Portuguese_colony Island, robust;
outreg2 using `outregfile4', se bdec(4) ctitle(Decentralized Revenue (FG)) bracket  excel append;

