    set more off


    local dep1="Customary_court_cases"
    local dep1a="Admin_court_hearings"
    local dep2="Colonial_police"
    local dep3="Colonial_intensity_rule_interval"

    local vars="Landlock  logem2_expanded   Bio_conditions_expanded  Axis_expanded  Latitude_ln  Muslim"

    local outreg2file1="statenes_2sls"


    ivtobit `dep1' `vars' (Stateness_mean_Murdock = lpd1500s), twostep ll(0)
    outreg2 Stateness_mean_Murdock  `vars' using `outreg2file1',  se bdec(3) ctitle(1. benchmark) bracket excel  replace

    ivregress 2sls `dep1a' `vars' (Stateness_mean_Murdock = lpd1500s)
    outreg2 Stateness_mean_Murdock  `vars' using `outreg2file1',  se bdec(3) ctitle(1. benchmark) bracket excel  append

    ivregress 2sls `dep2' `vars' (Stateness_mean_Murdock = lpd1500s)
    outreg2 Stateness_mean_Murdock  `vars' using `outreg2file1',  se bdec(3) ctitle(1. benchmark) bracket excel  append

    ivregress 2sls `dep3' `vars' (Stateness_mean_Murdock = lpd1500s)
    outreg2 Stateness_mean_Murdock  `vars' using `outreg2file1',  se bdec(3) ctitle(1. benchmark) bracket excel  append





