    set more off
    cd "C:\Documents and Settings\Julin Arvalo\My Documents\Work 2011\World Politics"
    use "09 08 10 full sample.dta", clear

    local dep1="Customary_court_cases"
    local dep1a="Admin_court_hearings"
    local dep2="Colonial_police"
    local dep3="Colonial_intensity_rule_interval"

    local var1  "Stateness_mean_Murdock"
    local var2  "Stateness_mean_Murdock Landlock logem2_expanded  Bio_conditions_expanded  Axis_expanded  Latitude_ln  Muslim"
    local var3  "Stateness_mean_Murdock Landlock logem2_expanded  Bio_conditions_expanded  Axis_expanded  Latitude_ln  Muslim Colonial_tenure_1955 Eur_pop_at_colonial_exit Pop_1960_ln  Land_Area_WDI_07_ln pop100km_expanded"


    local var11  "Precolonial_dev"
    local var21  "Precolonial_dev Landlock logem2_expanded  Bio_conditions_expanded  Axis_expanded  Latitude_ln  Muslim"
    local var31  "Precolonial_dev Landlock logem2_expanded  Bio_conditions_expanded  Axis_expanded  Latitude_ln  Muslim Colonial_tenure_1955 Eur_pop_at_colonial_exit Pop_1960_ln  Land_Area_WDI_07_ln pop100km_expanded"

    local outreg2file1="Stateness_results"


    tobit  `dep1' `var1' , ll(0)
    outreg2 `var1'  using `outreg2file1',  se bdec(3) ctitle(1. benchmark) bracket excel  replace

    tobit  `dep1' `var2' , ll(0)
    outreg2 `var2'  using `outreg2file1',  se bdec(3) ctitle(1. benchmark) bracket excel  append

    tobit  `dep1' `var3' , ll(0)
    outreg2 `var3'  using `outreg2file1',  se bdec(3) ctitle(1. benchmark) bracket excel  append



    reg  `dep1a' `var1' , robust
    outreg2 `var1'  using `outreg2file1',  se bdec(3) ctitle(1. benchmark) bracket excel  append

    reg  `dep1a' `var2' , robust
    outreg2 `var2'  using `outreg2file1',  se bdec(3) ctitle(1. benchmark) bracket excel  append

    reg  `dep1a' `var3' , robust
    outreg2 `var3'  using `outreg2file1',  se bdec(3) ctitle(1. benchmark) bracket excel  append



    reg  `dep2' `var1' , robust
    outreg2 `var1'  using `outreg2file1',  se bdec(3) ctitle(1. benchmark) bracket excel  append

    reg  `dep2' `var2' , robust
    outreg2 `var2'  using `outreg2file1',  se bdec(3) ctitle(1. benchmark) bracket excel  append

    reg  `dep2' `var3' , robust
    outreg2 `var3'  using `outreg2file1',  se bdec(3) ctitle(1. benchmark) bracket excel  append



    reg  `dep3' `var1' , robust
    outreg2 `var1'  using `outreg2file1',  se bdec(3) ctitle(1. benchmark) bracket excel  append

    reg  `dep3' `var2' , robust
    outreg2 `var2'  using `outreg2file1',  se bdec(3) ctitle(1. benchmark) bracket excel  append

    reg  `dep3' `var3' , robust
    outreg2 `var3'  using `outreg2file1',  se bdec(3) ctitle(1. benchmark) bracket excel  append



    ********************************************************************************



